TRAFFICWEB_CONVERSIONAWARENESSREGULARVIDEOCAROUSELSTORYMAX_VIDEOSHOPPING"is_dsa"="true"| Parameter | Description |
|---|---|
is_dynamic_ctaBoolean Optional but necessary for this use case | If set to truecta_typesIf set to falsecustomizable_cta_typeIf you do not specify a CTA type in either case, we determine a default CTA based on the ad's campaign objective and destination. |
cta_typesArray of strings Optional but necessary if is_dynamic_ctatrue | CTAs that you want dynamically served. For consideration and conversion campaigns: Select any of ADD_TO_CARTBOOK_NOWBUY_NOWGET_OFFERLEARN_MOREORDER_NOWSHOP_NOWSIGN_UPVISIT_SITEFor catalog sales campaigns: The array must include at least two CTAs, one of which is SHOP_NOWAdditionally, select any of BUY_NOWGET_IT_NOWSHOP_NOWSHOP_ON_ADVERTISERSHOP_THE_COLLECTIONTAKE_A_CLOSER_LOOKTAKE_A_PEEKMake sure not to include duplicate values, which cause the request to fail. |
WEB_CONVERSIONCATALOG_SALESLEADSALESWEB_CONVERSIONCATALOG_SALESLEADSALEScurl -X POST "https://api.pinterest.com/v5/ad_accounts/123456789012345678/ads" \ -H "Authorization: Bearer <access_token>" \ -H "Content-Type: application/json" \ -d '[ { "ad_group_id": "AG123456789012345678", "pin_id": "987654321098765432", "creative_type": "REGULAR", "is_dynamic_cta": true, "cta_types": [ "LEARN_MORE", "GET_OFFER", "VISIT_SITE", "ORDER_NOW" ] } ]'
{ "items": [ { "data": { "id": "112233445566778899", "ad_group_id": "AG123456789012345678", "pin_id": "987654321098765432", "creative_type": "REGULAR", "ad_account_id": "123456789012345678", "campaign_id": "223344556677889900", "rejected_reasons": [], "rejection_labels": [], "review_status": "PENDING", "type": "ad", "summary_status": "PENDING", "is_dynamic_cta": true, "cta_types": ["LEARN_MORE", "GET_OFFER", "VISIT_SITE", "ORDER_NOW"] } } ] }
is_dynamic_ctafalsecustomizable_cta_typecta_typescurl -X POST "https://api.pinterest.com/v5/ad_accounts/123456789012345678/ads" \ -H "Authorization: Bearer <access_token>" \ -H "Content-Type: application/json" \ -d '[ { "ad_group_id": "AG123456789012345678", "pin_id": "987654321098765432", "creative_type": "REGULAR", "is_dynamic_cta": false, "customizable_cta_type": "VISIT_SITE" } ]'
{ "items": [ { "data": { "id": "112233445566778899", "ad_group_id": "AG123456789012345678", "pin_id": "987654321098765432", "creative_type": "REGULAR", "ad_account_id": "123456789012345678", "campaign_id": "223344556677889900", "rejected_reasons": [], "rejection_labels": [], "review_status": "PENDING", "type": "ad", "summary_status": "PENDING", "is_dynamic_cta": false, "customizable_cta_type": "VISIT_SITE" } } ] }